Capture an image from an authorized integration API
curl --request POST \
--url https://app.factorize.sh/api/v1/media/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integration": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"idempotencyKey": "<string>",
"headers": {}
}
'import requests
url = "https://app.factorize.sh/api/v1/media/fetch"
payload = {
"integration": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"idempotencyKey": "<string>",
"headers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
integration: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
path: '<string>',
idempotencyKey: '<string>',
headers: {}
})
};
fetch('https://app.factorize.sh/api/v1/media/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/media/fetch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'integration' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'path' => '<string>',
'idempotencyKey' => '<string>',
'headers' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/media/fetch"
payload := strings.NewReader("{\n \"integration\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"path\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"headers\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.factorize.sh/api/v1/media/fetch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"integration\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"path\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"headers\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/media/fetch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"integration\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"path\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"headers\": {}\n}"
response = http.request(request)
puts response.read_body{
"artifactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mediaType": "<string>",
"byteSize": 0,
"sha256": "<string>",
"state": "pending",
"uploadUrl": "<string>",
"readUrl": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}media
Capture an image from an authorized integration API
Accepts a scoped bearer token, vendor-verified run identity, or interactive owner session.
POST
/
api
/
v1
/
media
/
fetch
Capture an image from an authorized integration API
curl --request POST \
--url https://app.factorize.sh/api/v1/media/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"integration": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"idempotencyKey": "<string>",
"headers": {}
}
'import requests
url = "https://app.factorize.sh/api/v1/media/fetch"
payload = {
"integration": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"idempotencyKey": "<string>",
"headers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
integration: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
path: '<string>',
idempotencyKey: '<string>',
headers: {}
})
};
fetch('https://app.factorize.sh/api/v1/media/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/media/fetch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'integration' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'path' => '<string>',
'idempotencyKey' => '<string>',
'headers' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/media/fetch"
payload := strings.NewReader("{\n \"integration\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"path\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"headers\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.factorize.sh/api/v1/media/fetch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"integration\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"path\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"headers\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/media/fetch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"integration\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"path\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"headers\": {}\n}"
response = http.request(request)
puts response.read_body{
"artifactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mediaType": "<string>",
"byteSize": 0,
"sha256": "<string>",
"state": "pending",
"uploadUrl": "<string>",
"readUrl": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
bearerAuthvendorRunIdentity & runIdentityHeadercookieAuth
Body
application/json
Response
Media receipt